test_ostream_dev::Tostream_Vdev Class Reference
Inheritance diagram for test_ostream_dev::Tostream_Vdev:

## Protected Attributes

std::array< Ostream_vdev_impl, 5 > | osVdev {}
ostream_dev< virtual_tag, test_data_t > * | basePointer = nullptr

## Additional Inherited Members

Public Member Functions inherited from testing::Test
virtual | ~Test ()
Static Public Member Functions inherited from testing::Test
static void | SetUpTestSuite ()
static void | TearDownTestSuite ()
static void | TearDownTestCase ()
static void | SetUpTestCase ()
static bool | HasFatalFailure ()
static bool | HasNonfatalFailure ()
static bool | IsSkipped ()
static bool | HasFailure ()
static void | RecordProperty (const std::string &key, const std::string &value)
static void | RecordProperty (const std::string &key, int value)
Protected Member Functions inherited from testing::Test
| Test ()
virtual void | SetUp ()
virtual void | TearDown ()

## Detailed Description

Definition at line 97 of file test_ostream_dev.cpp.

## Member Data Documentation

## basePointer

ostream_dev<virtual_tag, test_data_t>* test_ostream_dev::Tostream_Vdev::basePointer = nullptr

protected

Definition at line 101 of file test_ostream_dev.cpp.

## osVdev

std::array<Ostream_vdev_impl, 5> test_ostream_dev::Tostream_Vdev::osVdev {}

protected

Definition at line 100 of file test_ostream_dev.cpp.

The documentation for this class was generated from the following file:

- test/tests/test_ostream_dev.cpp